Package org.lwjgl.opengl

# Class ARBTessellationShader

java.lang.Object
org.lwjgl.opengl.ARBTessellationShader

public final class ARBTessellationShader extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_FRACTIONAL_EVEN`
Returned by GetProgramiv when <pname> is TESS_GEN_SPACING:
`static final int`
`GL_FRACTIONAL_ODD`
Returned by GetProgramiv when <pname> is TESS_GEN_SPACING:
`static final int`
`GL_ISOLINES`
Returned by GetProgramiv when <pname> is TESS_GEN_MODE:
`static final int`
`GL_MAX_COMBINED_TESS_CONTROL_UNIFORM_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_COMBINED_TESS_EVALUATION_UNIFORM_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_PATCH_VERTICES`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_CONTROL_INPUT_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_CONTROL_OUTPUT_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_CONTROL_TEXTURE_IMAGE_UNITS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_CONTROL_TOTAL_OUTPUT_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_CONTROL_UNIFORM_BLOCKS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_CONTROL_UNIFORM_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_EVALUATION_INPUT_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_EVALUATION_OUTPUT_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_EVALUATION_TEXTURE_IMAGE_UNITS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_EVALUATION_UNIFORM_BLOCKS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_EVALUATION_UNIFORM_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_GEN_LEVEL`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_PATCH_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_PATCH_DEFAULT_INNER_LEVEL`
Accepted by the <pname> parameter of PatchParameterfv, GetBooleanv, GetDoublev, GetFloatv, and GetIntegerv, and GetInteger64v:
`static final int`
`GL_PATCH_DEFAULT_OUTER_LEVEL`
Accepted by the <pname> parameter of PatchParameterfv, GetBooleanv, GetDoublev, GetFloatv, and GetIntegerv, and GetInteger64v:
`static final int`
`GL_PATCH_VERTICES`
Accepted by the <pname> parameter of PatchParameteri, GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_PATCHES`
Accepted by the <mode> parameter of Begin and all vertex array functions that implicitly call Begin:
`static final int`
`GL_TESS_CONTROL_OUTPUT_VERTICES`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_TESS_CONTROL_SHADER`
Accepted by the <type> parameter of CreateShader and returned by the <params> parameter of GetShaderiv:
`static final int`
`GL_TESS_EVALUATION_SHADER`
Accepted by the <type> parameter of CreateShader and returned by the <params> parameter of GetShaderiv:
`static final int`
`GL_TESS_GEN_MODE`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_TESS_GEN_POINT_MODE`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_TESS_GEN_SPACING`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_TESS_GEN_VERTEX_ORDER`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_CONTROL_SHADER`
Accepted by the <pname> parameter of GetActiveUniformBlockiv:
`static final int`
`GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_EVALUATION_SHADER`
Accepted by the <pname> parameter of GetActiveUniformBlockiv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glPatchParameter(int pname, FloatBuffer values)`
`static void`
`glPatchParameteri(int pname, int value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_PATCHES

public static final int GL_PATCHES
Accepted by the <mode> parameter of Begin and all vertex array functions that implicitly call Begin:

See Also:
  - Constant Field Values

### GL_PATCH_VERTICES

public static final int GL_PATCH_VERTICES
Accepted by the <pname> parameter of PatchParameteri, GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_PATCH_DEFAULT_INNER_LEVEL

public static final int GL_PATCH_DEFAULT_INNER_LEVEL
Accepted by the <pname> parameter of PatchParameterfv, GetBooleanv, GetDoublev, GetFloatv, and GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_PATCH_DEFAULT_OUTER_LEVEL

public static final int GL_PATCH_DEFAULT_OUTER_LEVEL
Accepted by the <pname> parameter of PatchParameterfv, GetBooleanv, GetDoublev, GetFloatv, and GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_TESS_CONTROL_OUTPUT_VERTICES

public static final int GL_TESS_CONTROL_OUTPUT_VERTICES
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_TESS_GEN_MODE

public static final int GL_TESS_GEN_MODE
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_TESS_GEN_SPACING

public static final int GL_TESS_GEN_SPACING
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_TESS_GEN_VERTEX_ORDER

public static final int GL_TESS_GEN_VERTEX_ORDER
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_TESS_GEN_POINT_MODE

public static final int GL_TESS_GEN_POINT_MODE
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_ISOLINES

public static final int GL_ISOLINES
Returned by GetProgramiv when <pname> is TESS_GEN_MODE:

See Also:
  - Constant Field Values

### GL_FRACTIONAL_ODD

public static final int GL_FRACTIONAL_ODD
Returned by GetProgramiv when <pname> is TESS_GEN_SPACING:

See Also:
  - Constant Field Values

### GL_FRACTIONAL_EVEN

public static final int GL_FRACTIONAL_EVEN
Returned by GetProgramiv when <pname> is TESS_GEN_SPACING:

See Also:
  - Constant Field Values

### GL_MAX_PATCH_VERTICES

public static final int GL_MAX_PATCH_VERTICES
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_GEN_LEVEL

public static final int GL_MAX_TESS_GEN_LEVEL
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_CONTROL_UNIFORM_COMPONENTS

public static final int GL_MAX_TESS_CONTROL_UNIFORM_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_EVALUATION_UNIFORM_COMPONENTS

public static final int GL_MAX_TESS_EVALUATION_UNIFORM_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_CONTROL_TEXTURE_IMAGE_UNITS

public static final int GL_MAX_TESS_CONTROL_TEXTURE_IMAGE_UNITS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_EVALUATION_TEXTURE_IMAGE_UNITS

public static final int GL_MAX_TESS_EVALUATION_TEXTURE_IMAGE_UNITS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_CONTROL_OUTPUT_COMPONENTS

public static final int GL_MAX_TESS_CONTROL_OUTPUT_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_PATCH_COMPONENTS

public static final int GL_MAX_TESS_PATCH_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_CONTROL_TOTAL_OUTPUT_COMPONENTS

public static final int GL_MAX_TESS_CONTROL_TOTAL_OUTPUT_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_EVALUATION_OUTPUT_COMPONENTS

public static final int GL_MAX_TESS_EVALUATION_OUTPUT_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_CONTROL_UNIFORM_BLOCKS

public static final int GL_MAX_TESS_CONTROL_UNIFORM_BLOCKS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_EVALUATION_UNIFORM_BLOCKS

public static final int GL_MAX_TESS_EVALUATION_UNIFORM_BLOCKS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_CONTROL_INPUT_COMPONENTS

public static final int GL_MAX_TESS_CONTROL_INPUT_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_EVALUATION_INPUT_COMPONENTS

public static final int GL_MAX_TESS_EVALUATION_INPUT_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_TESS_CONTROL_UNIFORM_COMPONENTS

public static final int GL_MAX_COMBINED_TESS_CONTROL_UNIFORM_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_TESS_EVALUATION_UNIFORM_COMPONENTS

public static final int GL_MAX_COMBINED_TESS_EVALUATION_UNIFORM_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_CONTROL_SHADER

public static final int GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_CONTROL_SHADER
Accepted by the <pname> parameter of GetActiveUniformBlockiv:

See Also:
  - Constant Field Values

### GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_EVALUATION_SHADER

public static final int GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_EVALUATION_SHADER
Accepted by the <pname> parameter of GetActiveUniformBlockiv:

See Also:
  - Constant Field Values

### GL_TESS_EVALUATION_SHADER

public static final int GL_TESS_EVALUATION_SHADER
Accepted by the <type> parameter of CreateShader and returned by the <params> parameter of GetShaderiv:

See Also:
  - Constant Field Values

### GL_TESS_CONTROL_SHADER

public static final int GL_TESS_CONTROL_SHADER
Accepted by the <type> parameter of CreateShader and returned by the <params> parameter of GetShaderiv:

See Also:
  - Constant Field Values

## Method Details

### glPatchParameteri

public static void glPatchParameteri(int pname, int value)

### glPatchParameter

public static void glPatchParameter(int pname, FloatBuffer values)